summaryrefslogtreecommitdiff
path: root/dev-libs
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2022-12-21 01:52:56 +0000
committerV3n3RiX <venerix@koprulu.sector>2022-12-21 01:52:56 +0000
commitb46782805d0eed36ce9685f7e9abf25671f24d7d (patch)
tree4b7992f7355b710c35a7c4bfff9b57eb64e4c8b5 /dev-libs
parentd4d7098dcb2f9dd257109bbcb55fd40beda1b78d (diff)
gentoo auto-resync : 21:12:2022 - 01:52:55
Diffstat (limited to 'dev-libs')
-rw-r--r--dev-libs/Manifest.gzbin96361 -> 96356 bytes
-rw-r--r--dev-libs/bcm2835/Manifest2
-rw-r--r--dev-libs/bcm2835/bcm2835-1.71.ebuild30
-rw-r--r--dev-libs/boost/Manifest2
-rw-r--r--dev-libs/boost/boost-1.81.0-r1.ebuild341
-rw-r--r--dev-libs/boost/files/boost-1.81.0-phoenix-multiple-definitions.patch11
-rw-r--r--dev-libs/igraph/Manifest9
-rw-r--r--dev-libs/igraph/files/igraph-0.8.2-unbundle.patch150
-rw-r--r--dev-libs/igraph/igraph-0.8.5.ebuild59
-rw-r--r--dev-libs/igraph/igraph-0.9.2.ebuild49
-rw-r--r--dev-libs/igraph/igraph-0.9.4.ebuild4
-rw-r--r--dev-libs/igraph/metadata.xml1
-rw-r--r--dev-libs/libebml/Manifest2
-rw-r--r--dev-libs/libebml/libebml-1.4.2.ebuild22
-rw-r--r--dev-libs/rapidjson/Manifest1
-rw-r--r--dev-libs/rapidjson/rapidjson-1.1.0-r2.ebuild54
-rw-r--r--dev-libs/uriparser/Manifest2
-rw-r--r--dev-libs/uriparser/uriparser-0.9.7.ebuild2
18 files changed, 393 insertions, 348 deletions
diff --git a/dev-libs/Manifest.gz b/dev-libs/Manifest.gz
index 5b3d75e506f3..792a6a9077dd 100644
--- a/dev-libs/Manifest.gz
+++ b/dev-libs/Manifest.gz
Binary files differ
diff --git a/dev-libs/bcm2835/Manifest b/dev-libs/bcm2835/Manifest
index b89da7f9ecaf..cdafdd59ad6e 100644
--- a/dev-libs/bcm2835/Manifest
+++ b/dev-libs/bcm2835/Manifest
@@ -1,3 +1,5 @@
DIST bcm2835-1.68.tar.gz 272796 BLAKE2B d848e901b1b3a51712009e3fbf00c43f870fd6c28812be710276620f80c4173e92529891e53ec02e2076069a5da8ba7190f8dcc620ce4a843773cb85622dd830 SHA512 bdc91af8f28755899611d41cf954c9b2ca107befe984b79ee6fe23b66bbb7f50e746e084c3e431b1b0cdf1b0735cec8a54018ebf12b713380e5db97e3564f477
+DIST bcm2835-1.71.tar.gz 276152 BLAKE2B e363e805d0ef4872baeb5eeffe143177a3983ee82d69c7077f64cc2373cf42524722fda03197de0ff0b6ef186fd017b61822b1192a108e1354d6eb4a76aa3535 SHA512 020d2918da1c23c3ff98513a123b7f96125f7e66cdbc5863ab00bcea93cdb68bb3507f2e29c31cd1fe5c26dd633df112e10122bde72cab9ecf67f0edcdf55aa6
EBUILD bcm2835-1.68-r1.ebuild 634 BLAKE2B 9ce2628e471e3124056341d63def76bd1ebf7c742629e2a942f95df64291556f0b6313b6aead59f7272bd3ca3ad5e9096d6d506318840f7e8b59fc798f8967e5 SHA512 a5b1a5b093b99ea440641407b86d784874ad86adf66bcf30134c25430c4626e220c35311ba9be00a527b9d40bfc08e564f189f0f740f9919f890c501dfa84614
+EBUILD bcm2835-1.71.ebuild 634 BLAKE2B 9ce2628e471e3124056341d63def76bd1ebf7c742629e2a942f95df64291556f0b6313b6aead59f7272bd3ca3ad5e9096d6d506318840f7e8b59fc798f8967e5 SHA512 a5b1a5b093b99ea440641407b86d784874ad86adf66bcf30134c25430c4626e220c35311ba9be00a527b9d40bfc08e564f189f0f740f9919f890c501dfa84614
MISC metadata.xml 267 BLAKE2B 15dbae618f9047d37b671714f3615b968ff63cd013ec0dfe03fefd1b172d68c19f27276151efe8e005b7e59c4eaa017ec6693f2f03ec005894d8c67b1c8e47c2 SHA512 391ca69b1498920f9678a1e8cafbe14090bfdf6666fac4b508f11990f656de77717ce124cf435c2025474cc2034a22bc7df47257b5dec44c55d7bd99108fcf55
diff --git a/dev-libs/bcm2835/bcm2835-1.71.ebuild b/dev-libs/bcm2835/bcm2835-1.71.ebuild
new file mode 100644
index 000000000000..6974a3fc9586
--- /dev/null
+++ b/dev-libs/bcm2835/bcm2835-1.71.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="Provides access to GPIO and other IO functions on the Broadcom BCM2835"
+HOMEPAGE="https://www.airspayce.com/mikem/bcm2835/"
+SRC_URI="https://www.airspayce.com/mikem/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~arm"
+IUSE="doc examples"
+
+BDEPEND="doc? ( app-doc/doxygen )"
+
+src_compile() {
+ emake AR="$(tc-getAR)"
+}
+
+src_install() {
+ use doc && HTML_DOCS=( doc/html/. )
+ if use examples; then
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+ default
+}
diff --git a/dev-libs/boost/Manifest b/dev-libs/boost/Manifest
index 2d3000948f15..f7eb2ae281d3 100644
--- a/dev-libs/boost/Manifest
+++ b/dev-libs/boost/Manifest
@@ -8,8 +8,10 @@ AUX boost-1.80.0-unary-function.patch 757 BLAKE2B 25fbc3532add9a0fc9c90e6690fc13
AUX boost-1.80.0-unordered-fix.patch 7067 BLAKE2B 1a465a764dd510ec7bbbee4a2d5ca12982ee4a7dca9a605195492810c952918185c79d7d326d9eda063c0ede7a3a2c86b48ab2dc2a92b8debe4e0ee00d3e7a29 SHA512 bccdb2b136c5d99a4bfc60445ff0aa07ecffccc522215820336d55a6c4cb1a0b5636a98180e3f1af543722d4977bc2c6ce1e2b9d6156b4ecbeb398fab7a3fcb7
AUX boost-1.80.0-unordered-ftm-malloc.patch 897 BLAKE2B 5119fddcf5d84e907a3366e38b0f30be0c4547cf65e57c781515e8770e6980746572c3f3c94a461416bb1ee6821f2a204e77b09ae4791f0889fe8b35bcc90842 SHA512 994c7fa578240c9d5c85dde57de5011c9ef1c8c3f540c6ccf3f89dafd43b377d6f09d61ad1f0071cf589a46a2f4374738f119f16a067290014b88cf0d6f1a480
AUX boost-1.81.0-disable_icu_rpath.patch 577 BLAKE2B 0e8634a6a4594232238d03ed329c0ca56c005ec0f3f259afd431c4b461b6c8d9a0b636b916859b5baa1152395995e5fa5b150ef0ab39480fcebaa9c6c5943b7e SHA512 7383423dd4611482bf3ff3820152152e9fc9643ca408b260e3715baba52b48b444626b14e955950b025e57f72c50158c83ffa6b55b995c2c427da90d0a0a50df
+AUX boost-1.81.0-phoenix-multiple-definitions.patch 292 BLAKE2B d9bae6f053188f936ef45b521ff0fd3ed91cbb9fb90d74d94ac55844213de82f0c8b075796e19cf9e14d840add3154c66e9ccb2b5dcd88e71fee7505d547c4c8 SHA512 6e4f012158ac8ee81a783ab0a937bc127dbed4ae96882128ef802ca866cfea98018a4287a139e06d8918004b9e8fc3a31181da14b4c2dd1bf19c8f64cecb049a
DIST boost_1_80_0.tar.bz2 115869904 BLAKE2B 507e811be7659442c41bc2d99811bd02a236dc94932e1a7a8cf256243b479f2d2707819cd99e016a51c9dadc215713e803afdd9ea4c105af8d5d2d28d3d06a1f SHA512 829a95b463473d69ff79ea41799c68429bb79d3b2321fbdb71df079af237ab01de9ad7e9612d8783d925730acada010068d2d1aa856c34244ee5c0ece16f208f
DIST boost_1_81_0.tar.bz2 118797750 BLAKE2B ae57247fb80ee5a952881a99bdbe9a1d5622690879ef59053716647dc1121e70fdd322251837387b43357f1cd63c6d1ba285cf35c0c40e4f5ee28a929d7eacf7 SHA512 a04201e73da59f68fa02761b333c864a96ebaf268247b6b10cb19ed3d70ee9ad3da4c53123f2a7a4a9b9e1408793b51e1adbcc6fd09f60fecef3ca9522bb6b36
EBUILD boost-1.80.0-r1.ebuild 10947 BLAKE2B c732831b3038c878e5abc369548c412872795d7ba0ed8dbc2845ec84819e14d3842935dccfda8544f4322dcdb07df4f47bbf8cec46301c30fac6013adc849283 SHA512 0e9aa0bf2c3aa9038cd25a874841fba61d49887ad88c7010835279e09b9f501b83f6225700bf115fd5725d59e00959fca115ef468a131ba1dd03d83f6dbfe058
+EBUILD boost-1.81.0-r1.ebuild 10822 BLAKE2B fd8e69fbec4adbba5e99a657ef1a0683b3d5b53c0f532bc7e7a2345531ddc431de3abda0124c4672e0660c87f52addcdb2a7a72e97ce0a9b8f42de5b099f539f SHA512 77632caab9028b3c37073d7914c3df4bb16b1e10bcf263646b5527e7e56ca12ffb3ea5564862c25f5f2fabc6c65408088703856f65a27230570d8a920ed9e77f
EBUILD boost-1.81.0.ebuild 10759 BLAKE2B 78c5e6c6a11e1dd83d18831efb14ec9e7c445b6e16724e4fdcb40f5b656b59f8cbfc9545fc858fd0ae1efce8c868d237c09fc08be633124e8efecc76f02fd5e5 SHA512 9e38505132389b863a134853e99c65e739b377711cded1f8b5717fb5b1abb39e9d82efef3ce1a54e14b82a74b6401f9b761064b6c359dd393d19a28d7f584079
MISC metadata.xml 9028 BLAKE2B 066cbb57ea9116c9aa13d5bd8e092eb1724e3501b29812fbe0ba46565de94404e96585068af9266fe3a66c556b960e3095b318b376e3689bdb8f11dadaa99d26 SHA512 b489dbb41686b252ad3632d276f9a469405126a81bc16ae5d62f5b6a90851f0438dd7cbf4bad5963a52e9b5037368ef674b0bd4cd8eaac24b22f796d80be56a9
diff --git a/dev-libs/boost/boost-1.81.0-r1.ebuild b/dev-libs/boost/boost-1.81.0-r1.ebuild
new file mode 100644
index 000000000000..4879ee3c6c95
--- /dev/null
+++ b/dev-libs/boost/boost-1.81.0-r1.ebuild
@@ -0,0 +1,341 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit flag-o-matic multiprocessing python-r1 toolchain-funcs multilib-minimal
+
+MY_PV="$(ver_rs 1- _)"
+
+DESCRIPTION="Boost Libraries for C++"
+HOMEPAGE="https://www.boost.org/"
+SRC_URI="https://boostorg.jfrog.io/artifactory/main/release/${PV}/source/boost_${MY_PV}.tar.bz2"
+S="${WORKDIR}/${PN}_${MY_PV}"
+
+LICENSE="Boost-1.0"
+SLOT="0/${PV}" # ${PV} instead of the major version due to bug 486122
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris ~x86-winnt"
+IUSE="bzip2 context debug doc icu lzma +nls mpi numpy python tools zlib zstd"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+# the tests will never fail because these are not intended as sanity
+# tests at all. They are more a way for upstream to check their own code
+# on new compilers. Since they would either be completely unreliable
+# (failing for no good reason) or completely useless (never failing)
+# there is no point in having them in the ebuild to begin with.
+RESTRICT="test"
+
+RDEPEND="
+ !<dev-libs/leatherman-1.12.0-r1
+ bzip2? ( app-arch/bzip2:=[${MULTILIB_USEDEP}] )
+ icu? ( >=dev-libs/icu-3.6:=[${MULTILIB_USEDEP}] )
+ !icu? ( virtual/libiconv[${MULTILIB_USEDEP}] )
+ lzma? ( app-arch/xz-utils:=[${MULTILIB_USEDEP}] )
+ mpi? ( >=virtual/mpi-2.0-r4[${MULTILIB_USEDEP},cxx,threads] )
+ python? (
+ ${PYTHON_DEPS}
+ numpy? ( dev-python/numpy[${PYTHON_USEDEP}] )
+ )
+ zlib? ( sys-libs/zlib:=[${MULTILIB_USEDEP}] )
+ zstd? ( app-arch/zstd:=[${MULTILIB_USEDEP}] )"
+DEPEND="${RDEPEND}"
+BDEPEND=">=dev-util/b2-4.9.2"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.81.0-disable_icu_rpath.patch
+ "${FILESDIR}"/${PN}-1.79.0-context-x32.patch
+ "${FILESDIR}"/${PN}-1.79.0-build-auto_index-tool.patch
+ # Boost.MPI's __init__.py doesn't work on Py3
+ "${FILESDIR}"/${PN}-1.79.0-boost-mpi-python-PEP-328.patch
+ "${FILESDIR}"/${PN}-1.80.0-fix-mips1-transition.patch
+ "${FILESDIR}"/${PN}-1.81.0-phoenix-multiple-definitions.patch
+
+ # (upstreamed)
+)
+
+python_bindings_needed() {
+ multilib_is_native_abi && use python
+}
+
+tools_needed() {
+ multilib_is_native_abi && use tools
+}
+
+create_user-config.jam() {
+ local user_config_jam="${BUILD_DIR}"/user-config.jam
+ if [[ -s ${user_config_jam} ]]; then
+ einfo "${user_config_jam} already exists, skipping configuration"
+ return
+ else
+ einfo "Creating configuration in ${user_config_jam}"
+ fi
+
+ local compiler compiler_version compiler_executable="$(tc-getCXX)"
+ if [[ ${CHOST} == *-darwin* ]]; then
+ compiler="darwin"
+ compiler_version="$(gcc-fullversion)"
+ else
+ compiler="gcc"
+ compiler_version="$(gcc-version)"
+ fi
+
+ if use mpi; then
+ local mpi_configuration="using mpi ;"
+ fi
+
+ cat > "${user_config_jam}" <<- __EOF__ || die
+ using ${compiler} : ${compiler_version} : ${compiler_executable} : <cflags>"${CFLAGS}" <cxxflags>"${CXXFLAGS}" <linkflags>"${LDFLAGS}" <archiver>"$(tc-getAR)" <ranlib>"$(tc-getRANLIB)" ;
+ ${mpi_configuration}
+ __EOF__
+
+ if python_bindings_needed; then
+ append_to_user_config() {
+ local py_config
+ if tc-is-cross-compiler; then
+ py_config="using python : ${EPYTHON#python} : : ${ESYSROOT}/usr/include/${EPYTHON} : ${ESYSROOT}/usr/$(get_libdir) ;"
+ else
+ py_config="using python : ${EPYTHON#python} : ${PYTHON} : $(python_get_includedir) ;"
+ fi
+ echo "${py_config}" >> "${user_config_jam}" || die
+ }
+ python_foreach_impl append_to_user_config
+ fi
+
+ if python_bindings_needed && use numpy; then
+ einfo "Enabling support for NumPy extensions in Boost.Python"
+ else
+ einfo "Disabling support for NumPy extensions in Boost.Python"
+
+ # Boost.Build does not allow for disabling of numpy
+ # extensions, thereby leading to automagic numpy
+ # https://github.com/boostorg/python/issues/111#issuecomment-280447482
+ sed \
+ -e 's/\[ unless \[ python\.numpy \] : <build>no \]/<build>no/g' \
+ -i "${BUILD_DIR}"/libs/python/build/Jamfile || die
+ fi
+}
+
+pkg_setup() {
+ # Bail out on unsupported build configuration, bug #456792
+ if [[ -f "${EROOT}"/etc/site-config.jam ]]; then
+ if ! grep -q 'gentoo\(debug\|release\)' "${EROOT}"/etc/site-config.jam; then
+ eerror "You are using custom ${EROOT}/etc/site-config.jam without defined gentoorelease/gentoodebug targets."
+ eerror "Boost can not be built in such configuration."
+ eerror "Please, either remove this file or add targets from ${EROOT}/usr/share/boost-build/site-config.jam to it."
+ die "Unsupported target in ${EROOT}/etc/site-config.jam"
+ fi
+ fi
+}
+
+src_prepare() {
+ default
+ multilib_copy_sources
+}
+
+ejam() {
+ create_user-config.jam
+
+ local b2_opts=( "--user-config=${BUILD_DIR}/user-config.jam" )
+ if python_bindings_needed; then
+ append_to_b2_opts() {
+ b2_opts+=( python="${EPYTHON#python}" )
+ }
+ python_foreach_impl append_to_b2_opts
+ else
+ b2_opts+=( --without-python )
+ fi
+ b2_opts+=( "$@" )
+
+ echo b2 "${b2_opts[@]}" >&2
+ b2 "${b2_opts[@]}"
+}
+
+src_configure() {
+ # Workaround for too many parallel processes requested, bug #506064
+ [[ "$(makeopts_jobs)" -gt 64 ]] && MAKEOPTS="${MAKEOPTS} -j64"
+
+ # We don't want to end up with -L/usr/lib on our linker lines
+ # which then gives us lots of
+ # skipping incompatible /usr/lib/libc.a when searching for -lc
+ # warnings
+ [[ -n ${ESYSROOT} ]] && local icuarg="-sICU_PATH=${ESYSROOT}/usr"
+
+ OPTIONS=(
+ $(usex debug gentoodebug gentoorelease)
+ "-j$(makeopts_jobs)"
+ -q
+ -d+2
+ pch=off
+ $(usex icu "${icuarg}" '--disable-icu boost.locale.icu=off')
+ $(usev !mpi --without-mpi)
+ $(usev !nls --without-locale)
+ $(usev !context '--without-context --without-coroutine --without-fiber')
+ --without-stacktrace
+ --boost-build="${BROOT}"/usr/share/b2/src
+ --layout=system
+ # building with threading=single is currently not possible
+ # https://svn.boost.org/trac/boost/ticket/7105
+ threading=multi
+ link=shared
+ # this seems to be the only way to disable compression algorithms
+ # https://www.boost.org/doc/libs/1_70_0/libs/iostreams/doc/installation.html#boost-build
+ -sNO_BZIP2=$(usex bzip2 0 1)
+ -sNO_LZMA=$(usex lzma 0 1)
+ -sNO_ZLIB=$(usex zlib 0 1)
+ -sNO_ZSTD=$(usex zstd 0 1)
+ )
+
+ if [[ ${CHOST} == *-darwin* ]]; then
+ # We need to add the prefix, and in two cases this exceeds, so prepare
+ # for the largest possible space allocation.
+ append-ldflags -Wl,-headerpad_max_install_names
+ fi
+
+ # Use C++17 globally as of 1.80
+ append-cxxflags -std=c++17
+}
+
+multilib_src_compile() {
+ ejam \
+ --prefix="${EPREFIX}"/usr \
+ "${OPTIONS[@]}" || die
+
+ if tools_needed; then
+ pushd tools >/dev/null || die
+ ejam \
+ --prefix="${EPREFIX}"/usr \
+ "${OPTIONS[@]}" \
+ || die "Building of Boost tools failed"
+ popd >/dev/null || die
+ fi
+}
+
+multilib_src_install() {
+ ejam \
+ --prefix="${ED}"/usr \
+ --includedir="${ED}"/usr/include \
+ --libdir="${ED}"/usr/$(get_libdir) \
+ "${OPTIONS[@]}" install || die "Installation of Boost libraries failed"
+
+ if tools_needed; then
+ dobin dist/bin/*
+
+ insinto /usr/share
+ doins -r dist/share/boostbook
+ fi
+
+ # boost's build system truely sucks for not having a destdir. Because for
+ # this reason we are forced to build with a prefix that includes the
+ # DESTROOT, dynamic libraries on Darwin end messed up, referencing the
+ # DESTROOT instread of the actual EPREFIX. There is no way out of here
+ # but to do it the dirty way of manually setting the right install_names.
+ if [[ ${CHOST} == *-darwin* ]]; then
+ einfo "Working around completely broken build-system(tm)"
+ local d
+ for d in "${ED}"/usr/lib/*.dylib; do
+ if [[ -f ${d} ]]; then
+ # fix the "soname"
+ ebegin " correcting install_name of ${d#${ED}}"
+ install_name_tool -id "/${d#${D}}" "${d}"
+ eend $?
+ # fix references to other libs
+ refs=$(otool -XL "${d}" | \
+ sed -e '1d' -e 's/^\t//' | \
+ grep "^libboost_" | \
+ cut -f1 -d' ')
+ local r
+ for r in ${refs}; do
+ ebegin " correcting reference to ${r}"
+ install_name_tool -change \
+ "${r}" \
+ "${EPREFIX}/usr/lib/${r}" \
+ "${d}"
+ eend $?
+ done
+ fi
+ done
+ fi
+}
+
+multilib_src_install_all() {
+ if ! use numpy; then
+ rm -r "${ED}"/usr/include/boost/python/numpy* || die
+ fi
+
+ if use python; then
+ if use mpi; then
+ move_mpi_py_into_sitedir() {
+ python_moduleinto boost
+ python_domodule "${S}"/libs/mpi/build/__init__.py
+
+ python_domodule "${ED}"/usr/$(get_libdir)/boost-${EPYTHON}/mpi.so
+ rm -r "${ED}"/usr/$(get_libdir)/boost-${EPYTHON} || die
+
+ python_optimize
+ }
+ python_foreach_impl move_mpi_py_into_sitedir
+ else
+ rm -r "${ED}"/usr/include/boost/mpi/python* || die
+ fi
+ else
+ rm -r "${ED}"/usr/include/boost/{python*,mpi/python*,parameter/aux_/python,parameter/python*} || die
+ fi
+
+ if ! use nls; then
+ rm -r "${ED}"/usr/include/boost/locale || die
+ fi
+
+ if ! use context; then
+ rm -r "${ED}"/usr/include/boost/context || die
+ rm -r "${ED}"/usr/include/boost/coroutine{,2} || die
+ rm "${ED}"/usr/include/boost/asio/spawn.hpp || die
+ fi
+
+ if use doc; then
+ # find extraneous files that shouldn't be installed
+ # as part of the documentation and remove them.
+ find libs/*/* \( -iname 'test' -o -iname 'src' \) -exec rm -rf '{}' + || die
+ find doc \( -name 'Jamfile.v2' -o -name 'build' -o -name '*.manifest' \) -exec rm -rf '{}' + || die
+ find tools \( -name 'Jamfile.v2' -o -name 'src' -o -name '*.cpp' -o -name '*.hpp' \) -exec rm -rf '{}' + || die
+
+ docinto html
+ dodoc *.{htm,html,png,css}
+ dodoc -r doc libs more tools
+
+ # To avoid broken links
+ dodoc LICENSE_1_0.txt
+
+ dosym ../../../../include/boost /usr/share/doc/${PF}/html/boost
+ fi
+}
+
+pkg_preinst() {
+ # Yay for having symlinks that are nigh-impossible to remove without
+ # resorting to dirty hacks like these. Removes lingering symlinks
+ # from the slotted versions.
+ local symlink
+ for symlink in "${EROOT}"/usr/include/boost "${EROOT}"/usr/share/boostbook; do
+ if [[ -L ${symlink} ]]; then
+ rm -f "${symlink}" || die
+ fi
+ done
+
+ # some ancient installs still have boost cruft lying around
+ # for unknown reasons, causing havoc for reverse dependencies
+ # Bug: 607734
+ rm -rf "${EROOT}"/usr/include/boost-1_[3-5]? || die
+}
+
+pkg_postinst() {
+ elog "Boost.Regex is *extremely* ABI sensitive. If you get errors such as"
+ elog
+ elog " undefined reference to \`boost::re_detail_$(ver_cut 1)0$(ver_cut 2)00::cpp_regex_traits_implementation"
+ elog " <char>::transform_primary[abi:cxx11](char const*, char const*) const'"
+ elog
+ elog "Then you need to recompile Boost and all its reverse dependencies"
+ elog "using the same toolchain. In general, *every* change of the C++ toolchain"
+ elog "requires a complete rebuild of the Boost-dependent ecosystem."
+ elog
+ elog "See for instance https://bugs.gentoo.org/638138"
+}
diff --git a/dev-libs/boost/files/boost-1.81.0-phoenix-multiple-definitions.patch b/dev-libs/boost/files/boost-1.81.0-phoenix-multiple-definitions.patch
new file mode 100644
index 000000000000..0aedde6d0735
--- /dev/null
+++ b/dev-libs/boost/files/boost-1.81.0-phoenix-multiple-definitions.patch
@@ -0,0 +1,11 @@
+https://bugs.gentoo.org/887041
+https://github.com/boostorg/phoenix/issues/111
+--- a/boost/phoenix/stl.hpp
++++ b/boost/phoenix/stl.hpp
+@@ -11,6 +11,5 @@
+
+ #include <boost/phoenix/stl/algorithm.hpp>
+ #include <boost/phoenix/stl/container.hpp>
+-#include <boost/phoenix/stl/tuple.hpp>
+
+ #endif
diff --git a/dev-libs/igraph/Manifest b/dev-libs/igraph/Manifest
index 1672bf9b34dc..97806100be21 100644
--- a/dev-libs/igraph/Manifest
+++ b/dev-libs/igraph/Manifest
@@ -1,9 +1,4 @@
-AUX igraph-0.8.2-unbundle.patch 4755 BLAKE2B da0d8940fdddcffae07332db988a3195e3fb8d8628707191c45d7d1d37828fc4fc7ba3bb86f5fdef3f693e5d50d50e0dc504f2ff6334dd44aacaa32238ee46f8 SHA512 737ca787a729538300058307ee003cbf1b70e93bfc1e4fd5853647d033c61537bb935e6f46c1a689f4f69ad188602c71493693d45216e43f912e5c4c4757ca3c
AUX igraph-0.9.2-disable-broken-tests.patch 378 BLAKE2B 7f3748ec5d9ed8f9f97f638ebfa353a8373e3d672fbd4f0e697aaef92c1ac926386ee4fc38d94e2f2bfc1bafe0b44922f7c1536016ca6d7334bd419006b66f2a SHA512 93f4509b498eacb384c8af9d52c6c74efbc50c15e178d365774140421eff7005f7428e7f7da2d58cfd74adfda44e833e1b2fb54d220b6a64bdb144bf8fda0e7f
-DIST igraph-0.8.5.tar.gz 3303252 BLAKE2B 9aa920e39a1ef76376eb9a88b6d24e2d051aa22807d4e9bbac49fd1708c59f821d2d4ec55dc96a89de84dfc3ca394e3de9f60704b7f3880a40128863b209d0d6 SHA512 eeb7a21b3a0551e47c178e568811a415e39afb2cc99be39905a15d667fa59564e83979111e1ea5d93636d5b0c7dcbed18728f03aa7ee4d83f96c45af52de8370
-DIST igraph-0.9.2.tar.gz 3805091 BLAKE2B aa0e140a9dc8e1005f7f9265aef5880c071fab63c5914c8d93fc7adcbda84d7088678cdb6c277d40bc5998140c70d4a3b359517a4e3583153d1d7233ae8ba42d SHA512 8feb0c23c28e62f1e538fc41917e941f45421060b6240653ee03153b13551c454be019343a314b7913edb9c908518a131034c8e2098d9dd8e5c923fb84d195b3
DIST igraph-0.9.4.tar.gz 3823988 BLAKE2B c62f15fd227a83da8a78c2bf569874e290c0f8ffd8c69353de1ff2fbd5dff290eceff2462495efc86f44303f3d9d0d397eba720a743da6c118dacb9eeff1b2b8 SHA512 1188d69b95f581d7dac5874dcdb2d1b1a322e39b275c6f092c199ed6214def814062bd46d573bdaa4bc8f4514d6840c6e93dedbe0f6c99a15de33cbc39356573
-EBUILD igraph-0.8.5.ebuild 1177 BLAKE2B 0aebcbb3875bb2ee611d6e35fae031a41cc0eec694649e573adaa3cf987099b2114417332b930102a3b817344ef30f5c383f4f72a70ac9dfe7d3a0caa8397207 SHA512 b8c588bd5a802b2c879d02e81d6c5cde176ff698739423eeb4de5df89cf03d14e70030218b957974f4b65278922116ae0035bf9ad3da9cf9ba275ada0311fdf3
-EBUILD igraph-0.9.2.ebuild 1090 BLAKE2B d883cb49549f5d829bfb66f771b2aa2e212fc86502f68b08031b4fa70abefdf771b3e82d427407fc892493df7d818213d81eb4adf393356a4ff245a182836294 SHA512 0fccd719667534d855dffe24648ef1e17793e5d5ba0c602b3d0b75232e832b5dd8651bde81a258358a9b748d38f0ecdb47c8cc180a990ec9d0e84220d8cd8043
-EBUILD igraph-0.9.4.ebuild 1090 BLAKE2B d883cb49549f5d829bfb66f771b2aa2e212fc86502f68b08031b4fa70abefdf771b3e82d427407fc892493df7d818213d81eb4adf393356a4ff245a182836294 SHA512 0fccd719667534d855dffe24648ef1e17793e5d5ba0c602b3d0b75232e832b5dd8651bde81a258358a9b748d38f0ecdb47c8cc180a990ec9d0e84220d8cd8043
-MISC metadata.xml 705 BLAKE2B e527093147dc23e8b9c962711ee34ca5a81d24c87b2b4a8e17fd990a95af2c2132f6e37bdb1528a6a60bebd1fe9c9f74f76ffc14a5dbead2f780015f5777db25 SHA512 d4c906cfde33242430f50368ec0111e050fe89af5aa541c6ab41108ef4b73e240b08b43d75f92776eff73f501b73dd01ad4960f1e7d329cf22334f66ec8f3988
+EBUILD igraph-0.9.4.ebuild 1088 BLAKE2B 52fc7e3b6bb8e5749e49a4a5764137098568fdf22cddd54111bd70ba5c92910e4d18497e267addbed4a6ecdb0e7f49bbd1bb1579671566b74ef06e0f956b8c52 SHA512 505fa922750a195d2c9070c3a2f095e571b77421952864a109e9f7386c75bcb884c5ff1407425fab6838e2afbaa991d8ca11734f78cb82c07e8f2cf2c2d8f04a
+MISC metadata.xml 758 BLAKE2B 90df5f127db20d8d486a195a6c10d1e2159d2ca8ba1706adfec85c5317ef9b831ddf3595ab0f157cb30627db863fdeb72ce05d14bcd07291ec4735fd73a5e6b0 SHA512 3a5a7afe9387658aa41d587588af41b3cfae0c269e7da4badae23180b18c9854964942c292849321bc2c76feadcd4098223642f56736ca7a21a009d673446801
diff --git a/dev-libs/igraph/files/igraph-0.8.2-unbundle.patch b/dev-libs/igraph/files/igraph-0.8.2-unbundle.patch
deleted file mode 100644
index 859c6387b7f5..000000000000
--- a/dev-libs/igraph/files/igraph-0.8.2-unbundle.patch
+++ /dev/null
@@ -1,150 +0,0 @@
-diff --git a/configure.ac b/configure.ac
-index b422caf..dae8647 100644
---- a/configure.ac
-+++ b/configure.ac
-@@ -333,6 +333,8 @@ else
- internal_glpk=no
- fi
-
-+PKG_CHECK_MODULES([CS],[cxsparse])
-+
- # Link time optimization feature in newer gcc/g++
- # based on http://svn.r-project.org/R/trunk/configure.ac
- AC_ARG_ENABLE([lto],
-diff --git a/examples/simple/igraph_sparsemat2.c b/examples/simple/igraph_sparsemat2.c
-index 24877c2..0f4b45c 100644
---- a/examples/simple/igraph_sparsemat2.c
-+++ b/examples/simple/igraph_sparsemat2.c
-@@ -21,7 +21,7 @@
-
- */
-
--#include <cs/cs.h>
-+#include <cs.h>
- #include <igraph.h>
- #include "igraph_blas_internal.h"
- #include "igraph_arpack_internal.h"
-diff --git a/examples/simple/igraph_sparsemat3.c b/examples/simple/igraph_sparsemat3.c
-index 09329f0..31d4f1f 100644
---- a/examples/simple/igraph_sparsemat3.c
-+++ b/examples/simple/igraph_sparsemat3.c
-@@ -21,7 +21,7 @@
-
- */
-
--#include <cs/cs.h>
-+#include <cs.h>
- #include <igraph.h>
-
- int permute(const igraph_matrix_t *M,
-diff --git a/examples/simple/igraph_sparsemat4.c b/examples/simple/igraph_sparsemat4.c
-index 3a33979..c0ea489 100644
---- a/examples/simple/igraph_sparsemat4.c
-+++ b/examples/simple/igraph_sparsemat4.c
-@@ -21,7 +21,7 @@
-
- */
-
--#include <cs/cs.h>
-+#include <cs.h>
- #include <igraph.h>
-
- igraph_bool_t check_solution(const igraph_sparsemat_t *A,
-diff --git a/src/Makefile.am b/src/Makefile.am
-index f9d02d2..8ab3385 100644
---- a/src/Makefile.am
-+++ b/src/Makefile.am
-@@ -9,9 +9,6 @@ AM_YFLAGS = -d
-
- lib_LTLIBRARIES = libigraph.la
-
--include lapack/blas.inc
--include lapack/lapack.inc
--include lapack/arpack.inc
- include plfit/plfit.inc
-
- F2C = f2c/abort_.c f2c/dolio.c f2c/r_sin.c\
-@@ -99,8 +96,6 @@ if INTERNAL_ARPACK
- ARPACK_LIB = libarpack.la
- endif
-
--include ../optional/glpk/glpk.inc
--
- if INTERNAL_GLPK
- libglpk_la_SOURCES = $(GLPK)
- libglpk_la_CFLAGS = -I$(top_srcdir)/optional/glpk
-@@ -365,7 +360,7 @@ SOURCES = basic_query.c games.c cocitation.c iterators.c \
- drl_layout_3d.cpp drl_graph_3d.cpp \
- DensityGrid_3d.cpp \
- foreign-dl-parser.y foreign-dl-lexer.l \
-- $(CS) sparsemat.c mixing.c bigint.c bignum.c \
-+ sparsemat.c mixing.c bigint.c bignum.c \
- version.c optimal_modularity.c \
- igraph_fixed_vectorlist.c separators.c \
- igraph_marked_queue.c igraph_estack.c st-cuts.c \
-@@ -408,7 +403,7 @@ libigraph_la_CXXFLAGS = -I$(top_srcdir)/include -I$(top_builddir)/include $(W
- libigraph_la_LDFLAGS = -no-undefined
- libigraph_la_LIBADD = -lm $(XML2_LIBS) $(F2C_LIB) $(BLAS_LIB) \
- $(LAPACK_LIB) $(ARPACK_LIB) $(GLPK_LIB) $(PRPACK_LIB) \
-- $(PLFIT_LIB)
-+ $(PLFIT_LIB) $(CS_LIBS)
-
- if INTERNAL_GLPK
- libigraph_la_CFLAGS += -I$(top_srcdir)/optional/glpk
-diff --git a/src/Makefile.in b/src/Makefile.in
-index 56703d4..cc30d48 100644
---- a/src/Makefile.in
-+++ b/src/Makefile.in
-@@ -2411,7 +2411,7 @@ SOURCES = basic_query.c games.c cocitation.c iterators.c \
- gengraph_powerlaw.cpp gengraph_random.cpp decomposition.c \
- bipartite.c drl_layout_3d.cpp drl_graph_3d.cpp \
- DensityGrid_3d.cpp foreign-dl-parser.y foreign-dl-lexer.l \
-- $(CS) sparsemat.c mixing.c bigint.c bignum.c version.c \
-+ sparsemat.c mixing.c bigint.c bignum.c version.c \
- optimal_modularity.c igraph_fixed_vectorlist.c separators.c \
- igraph_marked_queue.c igraph_estack.c st-cuts.c \
- cohesive_blocks.c statusbar.c lapack.c complex.c eigen.c \
-diff --git a/src/sparsemat.c b/src/sparsemat.c
-index 0ed4678..4fb724d 100644
---- a/src/sparsemat.c
-+++ b/src/sparsemat.c
-@@ -23,7 +23,7 @@
-
- #include "config.h"
-
--#include "cs/cs.h"
-+#include <cs.h>
-
- #include "igraph_sparsemat.h"
- #include "igraph_error.h"
-diff --git a/tests/Makefile.am b/tests/Makefile.am
-index d350f11..31a1f5a 100644
---- a/tests/Makefile.am
-+++ b/tests/Makefile.am
-@@ -13,7 +13,7 @@ $(srcdir)/package.m4: $(top_srcdir)/configure.ac
- echo 'm4_define([AT_PACKAGE_BUGREPORT], [@PACKAGE_BUGREPORT@])'; \
- } >$(srcdir)/package.m4
-
--EXTRA_DIST += package.m4
-+#EXTRA_DIST += package.m4
-
- TESTSUITE_AT = \
- testsuite.at \
-diff --git a/tests/mt.at b/tests/mt.at
-index 050974a..b154ce1 100644
---- a/tests/mt.at
-+++ b/tests/mt.at
-@@ -23,11 +23,11 @@ AT_BANNER([[Thread-safety tests]])
-
- AT_SETUP([Simple error handling test :])
- AT_KEYWORDS([thread-safe])
--AT_COMPILE_CHECK([simple/tls1.c], [], [], [], [-lpthread])
-+AT_COMPILE_CHECK([simple/tls1.c], [], [], [], [-lpthread $(${PKG_CONFIG} --libs arpack)])
- AT_CLEANUP
-
- AT_SETUP([Thread-safe ARPACK:])
- AT_KEYWORDS([thread-safe ARPACK])
- AT_COMPILE_CHECK([simple/tls2.c], [simple/tls2.out], [], [internal],
-- [-lpthread])
-+ [-lpthread $(${PKG_CONFIG} --libs arpack)])
- AT_CLEANUP
diff --git a/dev-libs/igraph/igraph-0.8.5.ebuild b/dev-libs/igraph/igraph-0.8.5.ebuild
deleted file mode 100644
index 1bce379e3060..000000000000
--- a/dev-libs/igraph/igraph-0.8.5.ebuild
+++ /dev/null
@@ -1,59 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit autotools toolchain-funcs
-
-DESCRIPTION="Creating and manipulating undirected and directed graphs"
-HOMEPAGE="http://www.igraph.org/"
-SRC_URI="https://github.com/igraph/igraph/releases/download/${PV}/${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0/0"
-KEYWORDS="amd64 x86"
-IUSE="debug"
-
-RDEPEND="
- dev-libs/gmp:0=
- dev-libs/libxml2
- sci-libs/arpack
- sci-libs/cxsparse
- sci-mathematics/glpk:=
- virtual/blas
- virtual/lapack"
-DEPEND="${RDEPEND}"
-BDEPEND="virtual/pkgconfig"
-
-PATCHES=( "${FILESDIR}"/${PN}-0.8.2-unbundle.patch )
-
-src_prepare() {
- default
- rm -r src/lapack optional/glpk src/cs || die
- eautoreconf
-}
-
-src_configure() {
- # even with --with-external-f2c
- # we don't need f2c as none of
- # arpack lapack blas
- # are internal
- tc-export PKG_CONFIG
- econf \
- $(use_enable debug) \
- --enable-gmp \
- --disable-static \
- --disable-tls \
- --with-external-arpack \
- --with-external-blas \
- --with-external-lapack \
- --with-external-f2c \
- --with-external-glpk
-}
-
-src_install() {
- default
-
- # no static archives
- find "${ED}" -name '*.la' -delete || die
-}
diff --git a/dev-libs/igraph/igraph-0.9.2.ebuild b/dev-libs/igraph/igraph-0.9.2.ebuild
deleted file mode 100644
index 7d9cab598422..000000000000
--- a/dev-libs/igraph/igraph-0.9.2.ebuild
+++ /dev/null
@@ -1,49 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit cmake
-
-DESCRIPTION="Creating and manipulating undirected and directed graphs"
-HOMEPAGE="http://www.igraph.org/"
-SRC_URI="https://github.com/igraph/igraph/releases/download/${PV}/${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0/0"
-KEYWORDS="~amd64 ~x86"
-IUSE="debug test threads"
-RESTRICT="!test? ( test )"
-
-RDEPEND="
- dev-libs/gmp:0=
- dev-libs/libxml2
- sci-libs/arpack
- sci-libs/cxsparse
- sci-mathematics/glpk:=
- virtual/blas
- virtual/lapack"
-DEPEND="${RDEPEND}"
-
-PATCHES=( "${FILESDIR}"/${PN}-0.9.2-disable-broken-tests.patch )
-
-src_configure() {
- local mycmakeargs=(
- -DUSE_CCACHE=OFF
- -DIGRAPH_GLPK_SUPPORT=ON
- -DIGRAPH_GRAPHML_SUPPORT=ON
- -DIGRAPH_USE_INTERNAL_ARPACK=OFF
- -DIGRAPH_USE_INTERNAL_BLAS=OFF
- -DIGRAPH_USE_INTERNAL_CXSPARSE=OFF
- -DIGRAPH_USE_INTERNAL_GLPK=OFF
- -DIGRAPH_USE_INTERNAL_GMP=OFF
- -DIGRAPH_USE_INTERNAL_LAPACK=OFF
- -DIGRAPH_ENABLE_TLS=$(usex threads)
- -DBUILD_TESTING=$(usex test)
- )
- cmake_src_configure
-}
-
-src_test() {
- cmake_build check
-}
diff --git a/dev-libs/igraph/igraph-0.9.4.ebuild b/dev-libs/igraph/igraph-0.9.4.ebuild
index 7d9cab598422..3e145244190d 100644
--- a/dev-libs/igraph/igraph-0.9.4.ebuild
+++ b/dev-libs/igraph/igraph-0.9.4.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -11,7 +11,7 @@ SRC_URI="https://github.com/igraph/igraph/releases/download/${PV}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0/0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="amd64 x86"
IUSE="debug test threads"
RESTRICT="!test? ( test )"
diff --git a/dev-libs/igraph/metadata.xml b/dev-libs/igraph/metadata.xml
index a6e6a6af683c..ba6444db0beb 100644
--- a/dev-libs/igraph/metadata.xml
+++ b/dev-libs/igraph/metadata.xml
@@ -13,5 +13,6 @@
</maintainer>
<upstream>
<remote-id type="sourceforge">igraph</remote-id>
+ <remote-id type="github">igraph/igraph</remote-id>
</upstream>
</pkgmetadata>
diff --git a/dev-libs/libebml/Manifest b/dev-libs/libebml/Manifest
index 8bf2018c7659..0f4e217e7d05 100644
--- a/dev-libs/libebml/Manifest
+++ b/dev-libs/libebml/Manifest
@@ -1,6 +1,4 @@
AUX libebml-1.4.2-header-fixes-for-gcc11.patch 599 BLAKE2B 850d5eca5b6126a791bbd3791ebf5b34f93b822e3f9d263a38ed1839a3f36073d4693fe82f02265b809c9a7ec1c41d1bbd721dc9517e5930410e8b25f845dc58 SHA512 c41024d454ae83318e899671aec45b27ff0e68e18b4fde1e838ffc9a4baff6e70e0dcbf0966f70241dbef3b05e04283451f9c0ebb01e5b0a0d060cb62a83d3b6
-DIST libebml-1.4.2.tar.xz 70484 BLAKE2B e27da59218c6c5655e2b57295b8f0ea8770f92eea4fe65331147a963f45fa8a06cc685af553b8234ca0162acea05b99b7463753044cc49bc815c752223e3b3fa SHA512 b9535b60ba2716053819d48e345f161ad797a74678fdf60797d652da9dfa7cab905669dac744f30a81083341462bac6f2a0e69fa7d80ee59cf7414bffbd667d5
DIST libebml-1.4.4.tar.xz 64116 BLAKE2B 641cf6b63b4c8c4fab9e746bdf11d35024d5250f4a493d491ffc27441d9e453e58dfce028f865b8b4f200ccf58562d94b07b1593a4d53995ceb6fb2eb37bce1b SHA512 24f2bf51cd71f583bdd3bb33dbf20b5adeb8e96345de3abf3014f3ae1b0610c1bd04b802f26b4a1a26f884a696d6accf784bed1510f12538a6664cbd9ae51d6d
-EBUILD libebml-1.4.2.ebuild 696 BLAKE2B 34d323e315321cd96bfba608db8037b64eb5ee5f0c6723d2229aa6e4b6cd0f73c6995f8ca9625512835bc6bbe1b4fa88bcab08ae6cd9303150f3eebea9da42c1 SHA512 42df09d9f40bf3e1765de0fa32b755ca2366708e392afe893c52616ab2d26ad687e3da1250b5e956aeb3574d44cdcc0af18e9b0d879406d6040f13a58f549fb9
EBUILD libebml-1.4.4.ebuild 511 BLAKE2B cdd18129798a3cf35e3e8528841d6b081db010a29160246a7b08d4f5fbbbb58776681bb6eb77e74b9ca5f291f49e94ac5ff46cc90f42e116253266795bd059e5 SHA512 4ed5cd12239851089c1d7748ce6787a5891f825d8a2960dbcdedb1fca5ed6f7d7a3cc990a20a84b4664cd7ec494fb8428ee9771df00d113f77c9600986afcf79
MISC metadata.xml 317 BLAKE2B 9cec3d87965cab02baa170724fc9f9b6742f4723985d1e8f3d75e97d990ce080f9daa334d5ca019a67d92c70e2b9d0cc8967f0e4817d8dc8f93bf0d03992237a SHA512 b05b64e9380e15165ddbe70592a4e9a0b50f8eefaafc7be6c16a34aa39b632aa7e6ea0a2beccb16c6638909e71f888daff7cce575f024c1dfed0805fc1646233
diff --git a/dev-libs/libebml/libebml-1.4.2.ebuild b/dev-libs/libebml/libebml-1.4.2.ebuild
deleted file mode 100644
index dd87bd442f63..000000000000
--- a/dev-libs/libebml/libebml-1.4.2.ebuild
+++ /dev/null
@@ -1,22 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-if [[ ${PV} != 1.4.2 ]] ; then
- die "Do not bump to 1.4.3! It breaks ABI: https://github.com/Matroska-Org/libebml/issues/104"
-fi
-
-inherit cmake
-
-DESCRIPTION="Extensible binary format library (kinda like XML)"
-HOMEPAGE="https://www.matroska.org/ https://github.com/Matroska-Org/libebml/"
-SRC_URI="https://dl.matroska.org/downloads/${PN}/${P}.tar.xz"
-
-LICENSE="LGPL-2.1"
-SLOT="0/5" # subslot = soname major version
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~riscv sparc x86 ~amd64-linux ~x86-linux ~ppc-macos"
-
-PATCHES=(
- "${FILESDIR}/${P}-header-fixes-for-gcc11.patch"
-)
diff --git a/dev-libs/rapidjson/Manifest b/dev-libs/rapidjson/Manifest
index fa0944fd2c1a..464f2532775e 100644
--- a/dev-libs/rapidjson/Manifest
+++ b/dev-libs/rapidjson/Manifest
@@ -3,7 +3,6 @@ AUX rapidjson-1.1.0-system_gtest.patch 1274 BLAKE2B 69e69c60b5a2d2e913e1bf64cc62
AUX rapidjson-1.1.0-valgrind_optional.patch 816 BLAKE2B 95dc0748bad3042ac912ab57d423ada4c8ce3e19fb8a1b3fb2e9a0b9958355c5dd29325e3b238a34f9fe5ec1b6dbf7ba51e836211d1e9e1644f6ea2fddedbbd2 SHA512 b4841d4f7f19e264950fc56a0521bcf4268b8ab23c806d02cefe21d9f937eee90d9a7bb53e4522f24729a08d800e46b2a41be6d613ea2f06166b42eafafb315c
AUX rapidjson-1.1.1-valgrind_optional.patch 870 BLAKE2B 6a08f2d33af7e29a60452d3cd9816b38b42a37e405997bb558481066af41244e15e9f1e2a3a2f50b9efbd2414b4e76d45507e58beeb811b82d9e6c47d3475bfa SHA512 b15a54c6b287d715289e3a758d1a9b768a2c0d5e0bea5626231dfe6c824febb8b12d30f654e6b29a72d79ad541af5948c6f6297bff9a67d762aaeb50b29e9ef1
DIST rapidjson-1.1.0.tar.gz 1019402 BLAKE2B e1564b3cfa020f76437b0a35048a42ff2cd98b5ce285e63f228e158885182e5cecda13407cdf30c03fa39b47cbc579ff0065f6c2682d04b806e8f9ea8d36fc4e SHA512 2e82a4bddcd6c4669541f5945c2d240fb1b4fdd6e239200246d3dd50ce98733f0a4f6d3daa56f865d8c88779c036099c52a9ae85d47ad263686b68a88d832dff
-EBUILD rapidjson-1.1.0-r2.ebuild 1196 BLAKE2B e1f709ff94d5cf7cb1c581cce49415cc76e221f8a2134e5b7c3f2ececd39aa7ac86e945653e331523675c02ace4e1e2256221d700141815a83b61b8fc94ca01f SHA512 e4fab2177decc21c90598409eda202ca59ed4b2c8e99e920ec8ecab72c2a5f6aa30cbd3064af6ddd6f7e388f8523a61cb38d3ecfd63a6af02d59b3aeb02f1189
EBUILD rapidjson-1.1.0-r3.ebuild 1400 BLAKE2B 0ded67bc026547dbb0ec4e6723bf97299912c7b333be7d870103a2f55e986214a1e0061ff68eeb5260a50c40873f0d0f63967316c5eac91509d4012a45cc2a6e SHA512 3a850c60cd93864b1d5c08162d8c2b3ca7d50fb76c408036529c48d34fb70811b74abde18dbb3786a77ea207767b2a8c838b6c702ab91b30ed8950643ea3541c
EBUILD rapidjson-9999.ebuild 1372 BLAKE2B 63ce9fe9810b4634c309033bbc6d1fe8dfec760054bd729dee5fd09bd3fcade93b01e404bf8668dfd9ee796d5ffc1c7834b2b1d67af8fceeafa2a037a776c640 SHA512 e73764145a92116b5bc65d4c336f775e4ab142b560d9ec26b9a63b41d688ac4579887b8da9b720142ee05401d9460bd4c9aac89db01bb2edf6f23a341a11a15e
MISC metadata.xml 396 BLAKE2B d177f4924bccb6e3900f0c431d7924334b0b22fb29463afbaaef3f0277aaa762829d1967c5159fee70785cbd650e00386e7085e74ed46f5636a4566f21247e6e SHA512 29f756f76db339ccf8367aef394335a2ffd158f83d6f6babb48ec3eda39b078125b10741e8cd5e87ea136bac243b0df77816efb7ae1ce01ee0507ed0c8e82ae1
diff --git a/dev-libs/rapidjson/rapidjson-1.1.0-r2.ebuild b/dev-libs/rapidjson/rapidjson-1.1.0-r2.ebuild
deleted file mode 100644
index f4bf74949e0a..000000000000
--- a/dev-libs/rapidjson/rapidjson-1.1.0-r2.ebuild
+++ /dev/null
@@ -1,54 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit cmake
-
-DESCRIPTION="A fast JSON parser/generator for C++ with both SAX/DOM style API"
-HOMEPAGE="https://rapidjson.org/"
-
-LICENSE="MIT"
-IUSE="doc examples test"
-RESTRICT="!test? ( test )"
-SLOT="0"
-
-if [[ ${PV} == *9999 ]] ; then
- EGIT_REPO_URI="https://github.com/miloyip/rapidjson.git"
- inherit git-r3
-else
- SRC_URI="https://github.com/miloyip/rapidjson/archive/v${PV}.tar.gz -> ${P}.tar.gz"
- KEYWORDS="amd64 arm arm64 x86"
- S="${WORKDIR}/rapidjson-${PV}"
-fi
-
-DEPEND="
- doc? ( app-doc/doxygen )
- test? (
- dev-cpp/gtest
- dev-util/valgrind
- )"
-RDEPEND=""
-
-PATCHES=(
- "${FILESDIR}/${P}-gcc-7.patch"
-)
-
-src_prepare() {
- cmake_src_prepare
-
- sed -i -e 's|-Werror||g' CMakeLists.txt || die
- sed -i -e 's|-Werror||g' example/CMakeLists.txt || die
-}
-
-src_configure() {
- local mycmakeargs=(
- -DDOC_INSTALL_DIR="${EPREFIX}/usr/share/doc/${PF}"
- -DLIB_INSTALL_DIR="${EPREFIX}/usr/$(get_libdir)"
- -DRAPIDJSON_BUILD_DOC=$(usex doc)
- -DRAPIDJSON_BUILD_EXAMPLES=$(usex examples)
- -DRAPIDJSON_BUILD_TESTS=$(usex test)
- -DRAPIDJSON_BUILD_THIRDPARTY_GTEST=OFF
- )
- cmake_src_configure
-}
diff --git a/dev-libs/uriparser/Manifest b/dev-libs/uriparser/Manifest
index aed5ae91753e..9c5667badf9b 100644
--- a/dev-libs/uriparser/Manifest
+++ b/dev-libs/uriparser/Manifest
@@ -1,5 +1,5 @@
DIST uriparser-0.9.6.tar.bz2 178888 BLAKE2B 2c7229d8438eaef40657b809742dff7ed8919edfe9b4003be996d967b2d876ec61c6493b60c3a0a167db80365c748ee63f2cebfa04058ae8bed8d29b0ab7ea22 SHA512 c021ab3f93cc0373c9244edafff042c3d73a3904d69e573c277b04ca4a49cd2e88255214599cf433088b32846c9a628dfb116025188a6bb61a40c236827799aa
DIST uriparser-0.9.7.tar.bz2 179989 BLAKE2B 50d04df0024f2ad926072a06d92066025c12528853e784f28bf311a64eb37b619634fa14265cadf55e514810804adeefb7dea841178f916ccdbd086a897d375b SHA512 7f69c9806665745c1bafe11f818434e27c2da03af387f009ef46c1427af8c008faa45e6f49bece66e0b96fd17b3924ba0af25476e796972c5e4b651f35f74c13
EBUILD uriparser-0.9.6.ebuild 1407 BLAKE2B 803b0dfe4c6adca03ba5cfc639034632380a678db1ebe1b3a2453c68631c985ece173412def62dada5368a35065daaccc019ec9936a0e5e3bf7b320b6dec402f SHA512 37d7bde5bf5eb817e4686e74182fb778a6fa0a8f58a07c05c5b7f4e7adca6042af8252bf27deea5c5b8874f5ce50b6b58ea74b376cc962b5bb454b4ef3aa42a2
-EBUILD uriparser-0.9.7.ebuild 1413 BLAKE2B 0de662d8db32b05d019fa7d7bb99127e0c68bf05082ed33b8e4431879738d9e91b7dd82dcc11f34a66f1a9c321cea69724b4bdc62425b7fdb31c9d7d6d100a3e SHA512 2769553c0a3ae8c2cba97731bd9576803a2c4328a84ccf711b6cc1600c257cec2c85c3891ffc2f2fb12281fbead9236263629938c7cef4ed269338310fb10077
+EBUILD uriparser-0.9.7.ebuild 1407 BLAKE2B d3f66677628f0d10a67b803bf1db72054567a5181a52b8038795cdc57d3665ee159159b148c8a3352ae826afda12113710a191f2434bab5c1d31d0cb5d2a7ff7 SHA512 e9191c4e1c8a24fec681c081ec36c244a8938f547c96170fe785f3659de93c5c821629364334836334b5dfe710e35d7c89e988ca76412fffd85f56647c99b336
MISC metadata.xml 602 BLAKE2B 4da86a9e5e054a5051d693a8648787058ac55a522147029c2b100ef39bfc6951863db1cd047c209f0aeeffc6bd14f1c7e04077833fd774f7b38392e7cf67baea SHA512 a43bd04c5b091fc1b2eb2f84d2b9fbec2df957334809f50b889114f9b0fe0610fa48f217424d9110e725a1fb00356ed10d480b261571af685623651eca860f95
diff --git a/dev-libs/uriparser/uriparser-0.9.7.ebuild b/dev-libs/uriparser/uriparser-0.9.7.ebuild
index f363133f0f2f..ba6ad755b70d 100644
--- a/dev-libs/uriparser/uriparser-0.9.7.ebuild
+++ b/dev-libs/uriparser/uriparser-0.9.7.ebuild
@@ -11,7 +11,7 @@ SRC_URI="https://github.com/${PN}/${PN}/releases/download/${P}/${P}.tar.bz2"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-solaris"
+KEYWORDS="amd64 arm arm64 ppc ~ppc64 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-solaris"
IUSE="+doc qt5 test unicode" # +doc to address warning RequiredUseDefaults
REQUIRED_USE="qt5? ( doc ) test? ( unicode )"